# Loki::DeleteUsingFree< P > Class Template Reference
[Delete policies]

`#include <StrongPtr.h>`

List of all members.

## Static Public Member Functions

static P * | Default (void)
| Provides default value to initialize the pointer.

## Detailed Description

### template<class P>
class Loki::DeleteUsingFree< P >

Implementation of the DeletePolicy used by StrongPtr. Uses explicit call to T's destructor followed by call to free. This policy is useful for managing the lifetime of pointers to structs returned by C functions.

The documentation for this class was generated from the following file:

- StrongPtr.h